document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_9800
--- +++ @@ -22,7 +22,7 @@ # Install gems run_in_bosh_chroot $chroot " cd agent -bundle install --path $bosh_dir/gems --without test +bundle install --path $bosh_dir/gems --without development test " cp -a $dir/assets/runit/agent $chroot/etc/sv/agent
bash
d_bash_9801
--- +++ @@ -5,3 +5,7 @@ sudo chown www-data /grip-config cd /var/www/html git clone git@github.com:codetheweb/Pigeon.git +cp -r Pigeon/* /var/www/html +rm -d Pigeon +cd php/db +sudo chown www-data running startup
bash
d_bash_9802
--- +++ @@ -1,3 +1,3 @@ -filter_abc_titled_new_project.sh $1 -remove_title_artist.sh $1 -remove_x_identifier.sh $1 +./filter_abc_titled_new_project.sh $1 +./remove_title_artist.sh $1 +./remove_x_identifier.sh $1
bash
d_bash_9803
--- +++ @@ -7,7 +7,7 @@ fi VERSION="$(poetry version --no-ansi | cut -d' ' -f2)" -if [[ "$GITHUB_REF" =~ /refs/tags/.* && "$TAG" == "$VERSION" ]] +if [[ "$GITHUB_REF" =~ \/refs\/tags\/.* && "$TAG" == "$VERSION" ]] then REV="" RELEASE="true"
bash
d_bash_9804
--- +++ @@ -11,10 +11,8 @@ export KOPS_STATE_STORE=s3://clusters.ops.butter.ai -alias kcs='kubectl --context=stage' -alias kcp='kubectl --context=prod' -alias kco='kubectl --context=ops' - -alias bdev='kops export kubecfg butterdevtest.ops.butter.ai' -alias bstage='kops export kubecfg butterstage.ops.butter.ai' ...
bash
d_bash_9805
--- +++ @@ -1,11 +1,9 @@ #!/bin/bash -HOME=/home/centos/user_level_slurm_reservations +HOME=/home/slurm LOGFILE=/var/log/moc_hil_ulsr/hil_monitor.log -source $HOME/ve/bin/activate -export PYTHONPATH=$HOME/prolog:$PYTHONPATH -# python $HOME/commands/hil_slurm_monitor.py 2>&1 >> $LOGFILE -python $HOME/commands/hi...
bash
d_bash_9806
--- +++ @@ -27,8 +27,7 @@ exit 1 fi -while if ! nmap -T5 -p $DATABASE_PORT -sT db | grep open | wc -l ;then continue; else break;fi do break; done - +while ! nc db $DATABASE_PORT </dev/null; do sleep 10; done flyway -url=jdbc:$DATABASE_DRIVER://db:$DATABASE_PORT/$DATABASE_NAME -user=$DATABASE_USER -passwor...
bash
d_bash_9807
--- +++ @@ -1,11 +1,3 @@ -# Use `hub` as our git wrapper: -# http://defunkt.github.com/hub/ -hub_path=$(which hub) -if (( $+commands[hub] )) -then - alias git=$hub_path -fi - # The rest of my fun git aliases alias gl='git pull --prune' alias glog="git log --graph --pretty=format:'%Cred%h%Creset %an: %s - %Crese...
bash
d_bash_9808
--- +++ @@ -9,10 +9,8 @@ zcat /proc/config.gz > .config make olddefconfig +make kvmconfig make $MAKEOPTS targz-pkg -cd / -tar xzvf /usr/src/linux/linux*.tar.gz - -depmod -cp /boot/vmlinuz* /root/vmlinuz +cp "$(make image_name)" /root/vmlinuz +cp linux-"$(make kernelrelease)"-x86.tar.gz /root/linux-image.tar.gz
bash
d_bash_9809
--- +++ @@ -6,7 +6,7 @@ echo "https://github.com/adoptium/temurin8-binaries/releases/download/jdk8u322-b06/OpenJDK8U-jdk_x64_linux_hotspot_8u322b06.tar.gz" ;; java11) - echo "https://github.com/adoptium/temurin11-binaries/releases/download/jdk-11.0.14%2B9/OpenJDK11U-jdk_x64_linux_hotspot_11.0.14_9.tar.gz" +...
bash
d_bash_9810
--- +++ @@ -1,16 +1,33 @@ pkg_name=libsodium -pkg_distname=$pkg_name +_distname="$pkg_name" pkg_origin=core pkg_version=1.0.13 pkg_maintainer="The Habitat Maintainers <humans@habitat.sh>" +pkg_description="\ +Sodium is a new, easy-to-use software library for encryption, decryption, \ +signatures, password hashing...
bash
d_bash_9811
--- +++ @@ -7,4 +7,7 @@ su - -c rqscheduler ox_user 2>&1 | \ rotatelogs /home/ox_user/ox_server/logs/rqscheduler.log 86400 & +export PYTHONPATH=/home/ox_user/ox_server/ox_herd +echo "PYTHONPATH is $PYTHONPATH" +python3 /home/ox_user/ox_server/ox_herd/ox_herd/scripts/serve_ox_herd.py
bash
d_bash_9812
--- +++ @@ -18,3 +18,4 @@ run_test ubuntu-16.04 run_test opensuse-tumbleweed run_test archlinux +run_test fedora-25
bash
d_bash_9813
--- +++ @@ -13,6 +13,7 @@ -p wd \ -p https://github.com/zsh-users/zsh-autosuggestions \ -p https://github.com/zsh-users/zsh-syntax-highlighting \ + -p https://github.com/conda-incubator/conda-zsh-completion \ -p https://github.com/jhwohlgemuth/zsh-handy-helpers \ -p https://github.com/jhwo...
bash
d_bash_9814
--- +++ @@ -1,2 +1,2 @@ -export PATH="./bin:/usr/local/bin:/usr/local/sbin:$ZSH/bin:$PATH" +export PATH="./bin:/usr/local/bin:/Users/umd-laptop/anaconda/bin:/usr/local/sbin:$ZSH/bin:$PATH" export MANPATH="/usr/local/man:/usr/local/mysql/man:/usr/local/git/man:$MANPATH"
bash
d_bash_9815
--- +++ @@ -28,4 +28,4 @@ ./docker stop -t 0 gameon-webapp || true ./docker rm gameon-webapp || true echo Starting the new container... -./docker run -d -p 8080:8080 -e LOGGING_DOCKER_HOST=$LOGGING_DOCKER_HOST --name=gameon-webapp gameon-webapp +./docker run -d -p 8080:8080 -e LOGGING_DOCKER_HOST=$LOGGING_DOCKER_H...
bash
d_bash_9816
--- +++ @@ -4,7 +4,12 @@ IP_ADDR=$(bx cs workers $CLUSTER_NAME | grep deployed | awk '{ print $2 }') echo -e "\tConfiguring vars" -$(bx cs cluster-config $CLUSTER_NAME | grep export) +exp=$(bx cs cluster-config $CLUSTER_NAME | grep export) +if [ $? -ne 0 ]; then + echo "Cluster $CLUSTER_NAME not created or not r...
bash
d_bash_9817
--- +++ @@ -9,4 +9,4 @@ # 4 param is the launch file # Following params are the roslaunch arguments -ssh -t -t $1 'source ~/.zshrc; export ROS_MASTER_URI=http://'$2':11311/; zsh -o HUP -c "roslaunch '${@:3}'"' +ssh -t -t $1 'source ~/.zshrc; export ROS_MASTER_URI=http://'$2':11311/; zsh -o HUP -c "roslaunch '${*:...
bash
d_bash_9818
--- +++ @@ -12,7 +12,7 @@ local oldStr=${2} local newStr=${3} - sed -i "s/${oldStr}/${newStr}/g" ${toFile} + sed -i "s#${oldStr}#${newStr}#g" ${toFile} } $@
bash
d_bash_9819
--- +++ @@ -4,15 +4,15 @@ mkdir tmp-img #flavicon.ico -convert -background none -colors 8 -geometry 16 icon.svg tmp-img/icon-16.png -convert -background none -colors 8 -geometry 32 icon.svg tmp-img/icon-32.png -convert -background none -colors 8 -geometry 48 icon.svg tmp-img/icon-48.png +rsvg -w 16 icon.svg tmp-i...
bash
d_bash_9820
--- +++ @@ -20,7 +20,7 @@ print_info "Starting second pass to check that smalltalkCI can fail..." exit_status=0 -$SMALLTALK_CI_HOME/run.sh --debug $SMALLTALK_CI_HOME/.smalltalk_fail.ston || exit_status=$? +$SMALLTALK_CI_HOME/run.sh --verbose --debug $SMALLTALK_CI_HOME/.smalltalk_fail.ston || exit_status=$? if ...
bash
d_bash_9821
--- +++ @@ -3,5 +3,5 @@ SCRIPT_PATH="$( cd "$(dirname "$0")" ; pwd -P )" cd ${SCRIPT_PATH}/.. -find . -name '__pycache__' -type d -delete -find . -name '*.pyc' -type f -delete +find . -name '__pycache__' -type d -exec rm -rf \; +find . -name '*.pyc' -type f -exec rm -rf \;
bash
d_bash_9822
--- +++ @@ -1,5 +1,5 @@ function unit_cleanup() { - PRINT "+" "Deleting incomplete systemd unit..." + echo "[+] Deleting incomplete systemd unit..." rm -f "/etc/systemd/system/$SERVICE" systemctl daemon-reload }
bash
d_bash_9823
--- +++ @@ -2,9 +2,10 @@ # Persistent configurations that only need to be run once. set -eux -# Set Capslock to the control key on GNOME -if hash dconf 2>/dev/null && [ -n "${DISPLAY:-}" ]; then - dconf write /org/gnome/desktop/input-sources/xkb-options "['ctrl:nocaps']" +# GNOME configuration +if hash gsettings ...
bash
d_bash_9824
--- +++ @@ -1,9 +1,9 @@ -# Uploads the application to the server +# Builds the application, uploads it to the server, and restarts the daemon GOOS=linux GOARCH=amd64 go build -o gogo sftp -i id_ecdsa -o StrictHostKeyChecking=no dylan@go.waits.io <<'EOF' -cd /usr/local/bin +cd /srv rename gogo gogo.old put gog...
bash
d_bash_9825
--- +++ @@ -1,6 +1,6 @@ #!/bin/sh wget -w 3 -i hansard -for pdf in `ls | grep pdf` +for pdf in `ls | grep WEEKLY.pdf` do echo "Extracting "$pdf python3 pdf2txt.py -o $pdf".txt" $pdf
bash
d_bash_9826
--- +++ @@ -15,15 +15,15 @@ autoload -U compinit compinit -i -# Load all of your custom configurations from custom/ -for config_file ($ZSH/custom/*.zsh) source $config_file - # Load all of the plugins that were defined in ~/.zshrc for plugin ($plugins); do if [ -f $ZSH/plugins/$plugin/$plugin.plugin.zsh ]; t...
bash
d_bash_9827
--- +++ @@ -16,12 +16,15 @@ #NUMTHREADS=1 # disable MP export NUMTHREADS -# For clang, use embedded boost and ninja as our 'funky' setup # pdal_test segfaults when built against external g++-built boost, # and I haven't found a good boost package built with clang yet if [[ "$CXX" == "clang++" ]] then - exp...
bash
d_bash_9828
--- +++ @@ -2,7 +2,7 @@ APPENGINE_INSTANCE=local SETTINGS_MODULE="development app_engine ggrc_basic_permissions.settings.development ggrc_risks.settings.development ggrc_risk_assessments.settings.development ggrc_workflows.settings.development" -DATABASE_URI='mysql+mysqldb://root:root@localhost/ggrcdev?charset=ut...
bash
d_bash_9829
--- +++ @@ -17,6 +17,12 @@ fi fi +if [ -n "$PGPORT" ] +then + # osm2pgsql needs an explicit --port parameter + OSM2PGSQL_FLAGS=--port=$PGPORT +fi + dropdb --if-exists $PGDATABASE || exit 1 createdb $PGDATABASE || exit 1 psql -c 'CREATE EXTENSION postgis;' || exit 1 @@ -24,7 +30,7 @@ osm2pgsql -d $...
bash
d_bash_9830
--- +++ @@ -1,4 +1,4 @@ -#!/bin/bash +#!/bin/bash -x set -e setup_ecr_credentials_helper @@ -17,9 +17,19 @@ else if [ -S "/var/run/docker.sock" ]; then docker_gid=$(ls -la /var/run/docker.sock | awk '{print $4}') + echo "Initially group_id = $docker_gid" + # group exists remove (could be th...
bash
d_bash_9831
--- +++ @@ -14,4 +14,4 @@ sudo easy_install3 pip sudo pip3 install --upgrade pip wheel setuptools -sudo pip install bigchaindb +sudo pip3 install bigchaindb
bash
d_bash_9832
--- +++ @@ -1,15 +1,21 @@ -#!/bin/bash +#!/bin/sh # MODULE=GLib-2.0 export PATH=/Library/Developer/Toolchains/swift-latest.xctoolchain/usr/bin:"${PATH}" -GOBJECT_LIBDIR=`pkg-config --libs-only-L gobject-introspection-1.0 | tr ' ' '\n' | grep gobject-introspection | tail -n1 | cut -c3-` +GOBJECT_LIBDIR=`pkg-config ...
bash
d_bash_9833
--- +++ @@ -15,4 +15,4 @@ alias sshrudy='ssh logan@rudy.huddler.com' alias sshnewdy='ssh logan@newdy.huddler.com' -alias genctags='ctags -R --sort=yes --verbose --languages=+PHP,-JavaScript --exclude=@$HOME/.ctags.exclude' +alias genctags='ctags -R --sort=yes --verbose --languages=+PHP,-JavaScript --PHP-kinds=+cf...
bash
d_bash_9834
--- +++ @@ -26,5 +26,5 @@ find . -name "*.pyc" -delete find . -name ".svn" -exec rm -Rf {} \; 2>/dev/null cd .. -GZIP="gzip -9" tar -zcvf namebench-${version}.tgz namebench-${version}/ +GZIP="-9" tar -zcvf namebench-${version}.tgz namebench-${version}/ rm -Rf namebench-${version}
bash
d_bash_9835
--- +++ @@ -2,8 +2,8 @@ set -euo pipefail IP=$(grep "##EXTERNAL_IP=" "$KUBECONFIG" |cut -d '=' -f 2-) PORT=$(grep "##SSH_FORWARDED_PORT=" "$KUBECONFIG" |cut -d '=' -f 2-) -grep "##PRIVATE_KEY_ONELINER=" "$KUBECONFIG" |cut -d '=' -f 2- |base64 -d > id_rsa -chmod 0600 id_rsa +grep "##PRIVATE_KEY_ONELINER=" "$KUBECON...
bash
d_bash_9836
--- +++ @@ -12,7 +12,7 @@ echo "https://github.com/AdoptOpenJDK/openjdk14-binaries/releases/download/jdk-14.0.2%2B12/OpenJDK14U-jdk_x64_linux_hotspot_14.0.2_12.tar.gz" ;; java15) - echo "https://github.com/AdoptOpenJDK/openjdk15-binaries/releases/download/jdk15-2020-07-15-08-59/OpenJDK15-jdk_x64_linux_hotsp...
bash
d_bash_9837
--- +++ @@ -11,3 +11,4 @@ cp /tmp/ssp-overrides/cert/* /data/vendor/simplesamlphp/simplesamlphp/cert cp /tmp/ssp-overrides/config/* /data/vendor/simplesamlphp/simplesamlphp/config cp /tmp/ssp-overrides/metadata/* /data/vendor/simplesamlphp/simplesamlphp/metadata +rm -rf /tmp/ssp-overrides
bash
d_bash_9838
--- +++ @@ -10,28 +10,47 @@ rc=0 -go_dirs() { +function go_dirs { go list -f '{{.Dir}}' ./... | tr '\n' '\0' } -echo "Running go fmt" -diff <(echo -n) <(go_dirs | xargs -0 gofmt -s -d -l) -rc=$((rc || $?)) +function runTest { + local name=$1 + local result="SUCCESS" + printf "============== begin %s\n" ...
bash
d_bash_9839
--- +++ @@ -1,4 +1,6 @@ # This is run by the CI system from the main Minuit2 directory + +set -evx mkdir build cd build
bash
d_bash_9840
--- +++ @@ -3,9 +3,11 @@ # echo "Initing vim-plug..." # curl -fLo ~/.vim/autoload/plug.vim --create-dirs https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim -curl -sL install-node.now.sh/lts | /bin/bash +curl -sL install-node.now.sh/lts -o lts.sh +/bin/bash ./lts.sh --yes # Optional install yarn...
bash
d_bash_9841
--- +++ @@ -10,4 +10,4 @@ KEY=$2 VALUE=$3 -sed -i "s/{${KEY}}/${VALUE}/g" ${FILE} +sed -i "s|{${KEY}}|${VALUE}|g" ${FILE}
bash
d_bash_9842
--- +++ @@ -20,8 +20,10 @@ install jumpy install last-cursor-position install linter +install linter-coffeelint install linter-csslint install linter-erb +install linter-eslint install linter-jsonlint install linter-rubocop install linter-ruby
bash
d_bash_9843
--- +++ @@ -33,12 +33,12 @@ if [ -z "$( pgrep -f $progname )" ]; then echo "$progname is Not Running ..." echo "To Start $progname execute command below" - echo "sudo $0 start" + echo "$0 start" else webserverPID=$(pgrep -f $progname) echo "$progname is Running ..." echo "PID is $we...
bash
d_bash_9844
--- +++ @@ -8,7 +8,7 @@ egrep 'def [a-z]*\..*' -R lib | grep -v "def self" | grep -v -f $IGNORE_FILE grep undef -R lib | grep -v -f $IGNORE_FILE -grep alias_method -R lib +grep alias_method -R lib | grep -v -f $IGNORE_FILE grep remove_method -R lib | grep -v -f $IGNORE_FILE grep const_set -R lib | grep -v -f $I...
bash
d_bash_9845
--- +++ @@ -13,11 +13,11 @@ # Install CNI pushd ~/ -wget https://github.com/containernetworking/cni/releases/download/v0.2.0/cni-v0.2.0.tgz +wget https://github.com/containernetworking/cni/releases/download/v0.5.2/cni-amd64-v0.5.2.tgz popd sudo mkdir -p /opt/cni/bin pushd /opt/cni/bin -sudo tar xvzf ~/cni-v0.2...
bash
d_bash_9846
--- +++ @@ -32,7 +32,7 @@ if retry rustup component add clippy ; then cargo clippy --all --tests --features serde,rayon,bumpalo -- -D clippy::all -D clippy::pedantic cargo clippy --all --tests --features raw -- -D clippy::all -D clippy::pedantic \ - -A clippy::missing_safety_docs -A clippy::missing_...
bash
d_bash_9847
--- +++ @@ -8,8 +8,14 @@ source ubuntu_func.sh +CODENAME=$(lsb_release -cs) +# temporary fix until virtualbox releases focal repo +if [ "$CODENAME" == "focal" ]; then + CODENAME="eoan" +fi + mkdir -p /etc/apt/sources.list.d/ -echo "deb http://download.virtualbox.org/virtualbox/debian $(lsb_release -sc) contr...
bash
d_bash_9848
--- +++ @@ -8,7 +8,7 @@ apt-get -y update >/dev/null # Install dependencies -apt-get -y install linux-headers-$(uname -r) build-essential zlib1g-dev libssl-dev libreadline-gplv2-dev curl unzip >/dev/null +apt-get -y install vim linux-headers-$(uname -r) build-essential zlib1g-dev libssl-dev libreadline-gplv2-dev ...
bash
d_bash_9849
--- +++ @@ -1,3 +1,3 @@ if dcheck xautolock && dcheck slock; then - xautolock -time 5 -locker slock & + xautolock -time 5 -locker slock -corners 0-00 & fi
bash
d_bash_9850
--- +++ @@ -1,8 +1,10 @@ -#! /bin/bash +#!/bin/bash +set -ev node_version=$(node -v); if [ ${node_version:0:2} = "0." ]; then npm install mongodb@2; npm install mocha@3; + npm install chai@3; if [ ${node_version:2:2} = 10 ]; then npm install es6-promise; fi
bash
d_bash_9851
--- +++ @@ -16,20 +16,17 @@ oc login "${url:?}" \ --certificate-authority="${openshift_certificate_file}" ) - elif [[ ${openshift_username} ]]; then + elif [[ ${openshift_token:-} ]]; then + ( + taito::executing_start + oc login "${url:?}" --token="${openshift_token...
bash
d_bash_9852
--- +++ @@ -3,8 +3,12 @@ # run this from the top-level source directory OGG_PATH=/srv/jenkins/jobs/libogg/workspace +VIDEOS=/usr/local/share/videos ./autogen.sh -./configure PKG_CONFIG_PATH=${OGG_PATH} +CFLAGS='-O2 -DOD_CHECKASM -g' ./configure --enable-assertions --enable-logging PKG_CONFIG_PATH=${OGG_PATH} ...
bash
d_bash_9853
--- +++ @@ -6,6 +6,8 @@ elif [ "$TRAVIS_PULL_REQUEST" == "false" ] && [ "$TRAVIS_TAG" == "" ]; then echo -e 'Build Branch with Snapshot => Branch ['$TRAVIS_BRANCH']' ./gradlew build +# Remove comment to enable automatic snapshot publishing +# ./gradlew build artifactoryPublish elif [ "$TRAVIS_PULL_REQUEST" ...
bash
d_bash_9854
--- +++ @@ -1,5 +1,6 @@ export DOTIFY_BIN=$DOTIFY_HOME/bin export DOTIFY_SCRIPTS=$DOTIFY_HOME/scripts +export PATH="$DOTIFY_BIN:$PATH" source "$DOTIFY_SCRIPTS/platform.bash"
bash
d_bash_9855
--- +++ @@ -1,10 +1,10 @@ #! /usr/bin/env bash if [ "$(uname)" == "Darwin" ]; then - curl -o dotnet-install.sh -k https://raw.githubusercontent.com/dotnet/cli/master/scripts/obtain/dotnet-install.sh - chmod +x dotnet-install.sh - dotnet-install.sh --version 2.0.0 - export PATH=$PATH:$HOME/.dotnet + ...
bash
d_bash_9856
--- +++ @@ -7,7 +7,7 @@ for file in $DOTIFY_BIN/*; do if [ -f $file ] ; then - chmod 700 $file + chmod 755 $file fi done
bash
d_bash_9857
--- +++ @@ -33,8 +33,8 @@ bundle update # Install any new tools or apps -"${HOME}/install-homebrew.sh" -"${HOME}/install-brewcask.sh" +"${HOME}/.dotfiles/install/install-homebrew.sh" +"${HOME}/.dotfiles/install/install-brewcask.sh" # System Updates softwareupdate --list
bash
d_bash_9858
--- +++ @@ -15,12 +15,12 @@ } # called just before the prompt is printed -function precmd() { +function _zsh_title__precmd() { update_title "zsh" "%20<...<%~" } # called just before a command is executed -function preexec() { +function _zsh_title__preexec() { local -a cmd; cmd=(${(z)1}) # Re...
bash
d_bash_9859
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -xe -BUNDLER_VERSION=1.0.20 +BUNDLER_VERSION=1.1.rc GEMSET=psc-rb if [ -z $CI_RUBY ]; then
bash
d_bash_9860
--- +++ @@ -3,7 +3,8 @@ #http://stackoverflow.com/a/6673798/316108 mydir=$(dirname "$0") && cd "${mydir}" || exit 1 +./process.sh FI9805E_C4D65535806E front-yard +./process.sh FI9805EP_00626E537967 driveway +./process.sh FI9805EP_00626E537A4F backyard +./process.sh FI9821W_00626E52CB67 living-room ./process.sh F...
bash
d_bash_9861
--- +++ @@ -13,8 +13,8 @@ echo "Installing to $INSTALL_BASE" if [ -d "$JAR_PATH" ]; then - echo "Existing jar path found, removing" - rm -rf "$JAR_PATH" + echo "Existing jar path found, cleaning" + rm -f "$JAR_PATH/*" fi # Copy all the jars and properties into the lib folder
bash
d_bash_9862
--- +++ @@ -15,7 +15,7 @@ # global APP_DOCROOT_C "[default]=/var/www/html" -global SERVER_DOCROOT_C "[default]=/var/www/html/web" +global SERVER_DOCROOT_C "[if-SERVER_DOCROOT]='$APP_DOCROOT/docroot' [true]=/var/www/html/docroot [false]=/var/www/html/web" global DRUPAL_FILES_DIR_C "[default]=sites/default/files...
bash
d_bash_9863
--- +++ @@ -15,6 +15,16 @@ # enable Ctrl-R history search like emacs mode bindkey '^R' history-incremental-search-backward +# make zsh vi bindings more like vim +# permit deleting backwards from insert point +bindkey "^?" backward-delete-char +# ctrl-w deletes previous word +bindkey "^W" backward-kill-word +# ctr...
bash
d_bash_9864
--- +++ @@ -31,13 +31,3 @@ # Install baseline packages # TODO: detect virtualbox and install additions? apt-get install -y git xinetd - -# Create the user. -useradd $1 - -# Change the user's password. -passwd $1 - -# Add the user to the list of sudoers -echo "$1 ALL=(ALL) ALL" > /etc/sudoers.d/customsudoers -ch...
bash
d_bash_9865
--- +++ @@ -1,4 +1,8 @@ #!/bin/bash + +THISDIR=$(dirname ${BASH_SOURCE[0]}) +source ${THISDIR}/../../../common/functions.sh +source ${THISDIR}/../include.sh out=$(scl enable $INSTALL_SCLS 'git --version' ) ret=$?
bash
d_bash_9866
--- +++ @@ -14,7 +14,7 @@ unset PIP_REQUIRE_VIRTUALENV for p in pip pip3 do - for e in "${EGGS[@]}"; do $p install --upgrade --quiet $e; done + for e in "${EGGS[@]}"; do $p install --upgrade $e; done done }
bash
d_bash_9867
--- +++ @@ -5,4 +5,4 @@ source /data/software/foundation/release/cppunit_toolbox/${label}/cppunit_toolbox_0_3_0/use_cppunit_toolbox.sh source /data/software/${label}/unixODBC/unixODBC-2.2.14/use_unixodbc.sh -export PYTHONPATH=/localdata/klaemke/workspace/git/pydbc_build +export PYTHONPATH=/home/localdata/${USER}/...
bash
d_bash_9868
--- +++ @@ -1,13 +1,14 @@ #!/bin/sh + +set -ex GIT_COMMIT_PATH="$(dirname $0)/../.hypothesis/examples" -if [ "$TRAVIS_PULL_REQUEST" = "false"]; then +if [ "$TRAVIS_PULL_REQUEST" = "false" ]; then echo "Not building on pull request." exit 0 fi -set -e _is_dirty() { (! git diff-index --quiet ...
bash
d_bash_9869
--- +++ @@ -1,4 +1,4 @@ -#!/bin/bash +#!/bin/sh # Specify the package name of the Android app you want to track # as the first argument. @@ -17,11 +17,11 @@ VERTICAL=$3 fi -for i in {1..$COUNT} +for ((i=1; i<=$COUNT; i++)) do # Swipe 8 times for 250 ms each. # This works out to 2000 ms, which is a...
bash
d_bash_9870
--- +++ @@ -3,6 +3,7 @@ curl -O https://dl.eff.org/certbot-auto chmod a+x certbot-auto ./certbot-auto --debug certonly --webroot -w /usr/share/nginx/html/ -d ${dsmFqdn} --non-interactive --agree-tos --email event@trenddemos.com +sudo chown -R ec2-user:ec2-user /etc/letsencrypt uploadResponse=$(aws iam upload-serv...
bash
d_bash_9871
--- +++ @@ -2,6 +2,7 @@ set -e if [[ $TRAVIS_OS_NAME == 'osx' ]]; then + brew update; brew update; case $TOXENV in
bash
d_bash_9872
--- +++ @@ -13,8 +13,6 @@ # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. # See the License for the specific language governing permissions and # limitations under the License. - -set -eu # Prepare the setup environment prepare_environment() {
bash
d_bash_9873
--- +++ @@ -5,16 +5,15 @@ # bail on error set -e -# Download & install content_shell if not found -which content_shell -if [[ $? -ne 0 ]]; then - $DART_SDK/../chromium/download_contentshell.sh - unzip content_shell-linux-x64-release.zip +# Download & install content_shell +echo Downloading content_shell... +$DA...
bash
d_bash_9874
--- +++ @@ -1,5 +1,5 @@ #!/usr/bin/env bash -while read -ra dep; do +while read -ra dep || [ -n "${dep[0]}" ]; do DreamDownload "${dep[0]}" done < ../include.txt
bash
d_bash_9875
--- +++ @@ -18,7 +18,7 @@ ./generate-jsdoc.sh # Copy everything to the site. - scp -r gallery tests jsdoc experimental $site \ + scp -r gallery common tests jsdoc experimental $site \ && \ scp dygraph*.js gadget.xml excanvas.js thumbnail.png screenshot.png docs/* $site/ else
bash
d_bash_9876
--- +++ @@ -1,6 +1,10 @@ #!/usr/bin/env bash sudo service mongodb stop + +sudo apt-get purge mongodb mongodb-clients mongodb-server mongodb-dev +sudo apt-get purge mongodb-10gen +sudo apt-get autoremove sudo rm -f /etc/mongod.conf sudo cp ./config/mongodb_dev.conf /etc/mongod.conf
bash
d_bash_9877
--- +++ @@ -1,8 +1,30 @@ #!/bin/sh + +set -e if [ -z "$JAVA_HOME" ] ; then echo "environment variable JAVA_HOME must be set" exit 1 +fi + +function checkJavaVers { + for token in $(java -version 2>&1) + do + if [[ $token =~ \"([[:digit:]])\.([[:digit:]])\.(.*)\" ]] + then + ...
bash
d_bash_9878
--- +++ @@ -25,6 +25,12 @@ echo "Cleaning APT cache..." sudo apt clean +echo "Removing some directories..." +sudo rm -rf /usr/local/lib/android/ +sudo rm -rf /usr/local/lib/node_modules/ +sudo rm -rf /usr/local/share/chromium/ +sudo rm -rf "${AGENT_TOOLSDIRECTORY}" + echo "Removing docker images..." docker rmi ...
bash
d_bash_9879
--- +++ @@ -16,6 +16,16 @@ docker build -t quay.io/$TRAVIS_REPO_SLUG:$TRAVIS_COMMIT . +docker run --net host quay.io/$TRAVIS_REPO_SLUG:$TRAVIS_COMMIT rake db:create db:migrate +docker run -d --net host quay.io/$TRAVIS_REPO_SLUG:$TRAVIS_COMMIT +sleep 10 +curl http://localhost:3000/internal/ping | grep PONG + +if ...
bash
d_bash_9880
--- +++ @@ -6,9 +6,11 @@ done # For any external imported files -for file in $(ls "${0:h}/external"); do - source "${0:h}/external/$file" -done +if [ -e "${0:h}/external" ]; then + for file in $(ls "${0:h}/external"); do + source "${0:h}/external/$file" + done +fi # Add zsh-completions to $fpat...
bash
d_bash_9881
--- +++ @@ -17,3 +17,4 @@ # docker wget -qO- https://get.docker.com/ | sh +sudo usermod -aG docker "$USER"
bash
d_bash_9882
--- +++ @@ -14,7 +14,7 @@ unzip -q atom.zip -d atom echo "Using Atom version:" -./atom/Atom.app/Contents/Resources/app/atom.sh -v +ATOM_PATH=./atom ./atom/Atom.app/Contents/Resources/app/atom.sh -v echo "Downloading package dependencies..." atom/Atom.app/Contents/Resources/app/apm/node_modules/.bin/apm update
bash
d_bash_9883
--- +++ @@ -1,5 +1,7 @@ function aws-load-env { local profile="${1:-default}" + + export TEST_FOO=FOO if [[ ${profile} == clear ]]; then unset AWS_ACCESS_KEY_ID @@ -8,14 +10,10 @@ unset AWS_SECRET_KEY echo "Cleared AWS env variables" else - local AWS_ACCESS_KEY_I...
bash
d_bash_9884
--- +++ @@ -1,3 +1,3 @@ #!/bin/bash -curl -H "Content-Type: application/json" --data '{"docker_tag": "nightly"}' -X POST https://registry.hub.docker.com/u/debezium/connect/trigger/f0629dc1-3568-47f8-b03f-0fb122280506/ +curl -H "Content-Type: application/json" --data '{"docker_tag": "nightly"}' -X POST https://hub....
bash
d_bash_9885
--- +++ @@ -15,6 +15,7 @@ device=$1 shift +lineno=0 for f in $* do @@ -23,7 +24,8 @@ while read -r line do - ../aioRWTest -t$time -f $device $line >/dev/null 2>&1 + lineno=$[lineno+1] + ../aioRWTest -t$time -R $lineno -f $device $line >/dev/null 2>&1 retcode=$? # 255 is exit(-1) and the sp...
bash
d_bash_9886
--- +++ @@ -4,4 +4,6 @@ j2 /templates/supervisord.conf.j2 > /etc/supervisor/conf.d/supervisord.conf j2 /templates/msmtprc.j2 > /etc/msmtprc +chown -R www-data:www-data /var/www + exec "$@"
bash
d_bash_9887
--- +++ @@ -8,3 +8,8 @@ export PIP_RESPECT_VIRTUALENV=true source `which virtualenvwrapper_lazy.sh` + +export NOSE_PROGRESSIVE_FUNCTION_COLOR=0 +export NOSE_PROGRESSIVE_DIM_COLOR=11 +export NOSE_PROGRESSIVE_BAR_FILLED_COLOR=2 +export NOSE_PROGRESSIVE_BAR_EMPTY_COLOR=7
bash
d_bash_9888
--- +++ @@ -1,3 +1,18 @@ +# Use `hub` as our git wrapper: +# http://defunkt.github.com/hub/ +# +# I use JRuby substantially, and we want to make sure hub is run using MRI +# regardless of which Ruby you're using or else the `git status` in your prompt +# will take seven thousand seconds to run `ls`. +# +# I'm hardc...
bash
d_bash_9889
--- +++ @@ -18,7 +18,7 @@ ;; esac -printf "del 3\nwrite\n" |./kc -b -k regress/test -p regress/testpass +printf "del 3\nyes\nwrite\n" |./kc -b -k regress/test -p regress/testpass SHA256=$($SHA256_BIN regress/test |cut -d' ' -f1) if [ "$SHA256" == 'f62a449b622fae5c750dd0412bb1bbe8c24af8dc0142495275a98ac201178...
bash
d_bash_9890
--- +++ @@ -8,9 +8,6 @@ source ../../virtualenvs/sandbox/bin/activate python setup.py develop pip install -r requirements.txt - -# Compile CSS from LESS files -oscar/static/oscar/less/generate_css.sh cd sites/sandbox ./manage.py syncdb --noinput
bash
d_bash_9891
--- +++ @@ -18,7 +18,10 @@ alias yt="youtube-dl -t" alias vundle="vim +PluginInstall +qall" -alias b="bundle exec" +alias bx="bundle exec" +alias rake="bundle exec rake" +alias rspec="bundle exec rspec" +alias rk="rake" alias git="hub" alias mk="make" alias vhalt="vagrant halt" @@ -32,14 +35,8 @@ unsetopt c...
bash
d_bash_9892
--- +++ @@ -2,11 +2,9 @@ # This is a script for bootstrapping OS X setup if ! which xcodebuild &> /dev/null; then - echo "You need to install the Xcode Command Line Tools before running this script" - exit + echo "Attempting to install the Xcode developer tools" + $(xcode-select --install) fi - -ruby...
bash
d_bash_9893
--- +++ @@ -9,3 +9,6 @@ ./bin/run_management_command_capture_stdout hansard_check_for_new_sources ./bin/run_management_command_capture_stdout hansard_run_parsing ./bin/run_management_command_capture_stdout hansard_load_into_sayit + +# Run the ZA Hansard questions importer (all steps) +./bin/run_management_command_...
bash
d_bash_9894
--- +++ @@ -24,9 +24,12 @@ RASTERFILE=/tmp/import_raster_$$.tif gdalwarp -t_srs EPSG:3857 ${S_SRS} ${INPUTRASTERFILE} ${RASTERFILE} || exit 1 +TILESIZE="128x128" + # import raster set -o pipefail # needed to get an error if raster2pgsql errors out raster2pgsql \ - -s 3857 -I -C \ + -s 3857 -I -C -Y \ + -t ${TI...
bash
d_bash_9895
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash APP=app.jar -JAVA_PARAMS="-Dlogback.configurationFile=./config_override/logback.xml -Xms64m -Xmx512m" +JAVA_PARAMS="-Dlogback.configurationFile=./config_override/logback-default.xml -Xms64m -Xmx512m" date +" --- RUNNING $(basename $0) %Y-%m-%d_%H:%M:%S --- " set -x
bash
d_bash_9896
--- +++ @@ -5,4 +5,4 @@ NOW=$(date +"%Y%m%d") FILE="/var/log/apel/slurm_acc.$NOW" -/usr/local/bin/sacct -P -n --format=JobID,JobName,User,Group,Start,End,Elapsed,CPUTimeRAW,Partition,NCPUS,NNodes,NodeList,MaxRSS,MaxVMSize,State -j "$JOBID" >> "$FILE" +sacct -P -n --format=JobID,JobName,User,Group,Start,End,Elapse...
bash
d_bash_9897
--- +++ @@ -9,11 +9,18 @@ exit 1 fi +BISON_MAJOR_VER=`${BISON} --version |grep bison|sed -e "s;.* ;;" -e "s;\..*;;"` + +if test "${BISON_MAJOR_VER}" -ge "3"; then + BISON_OPTS="--warnings=deprecated,other,error=conflicts-sr,error=conflicts-rr" + +fi + #######################################################...
bash
d_bash_9898
--- +++ @@ -27,7 +27,7 @@ PID_REDIS=$! echo "Running tests" -mocha -u tdd +mocha -u tdd -t 3000 ret=$? cleanup
bash
d_bash_9899
--- +++ @@ -1,18 +1,27 @@ #!/bin/sh lein doc (cd doc; make) -cp -vr doc/index.html /tmp/index.html; -cp -vr doc/static /tmp/static -cp -vr doc/api /tmp/api -git checkout gh-pages; -rm -rf * -mv -fv /tmp/static . -mv -fv /tmp/index.html . -mv -fv /tmp/api . +if [ $1 == "devel" ]; then + cp -vr doc/index.html /...
bash